Package org.eclipse.birt.report.engine.layout.emitter

# Interface IPageDevice

public interface IPageDevice

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Closes this page device.
`IPage`
`newPage(int width, int height, Color backgroundColor)`
Creates a new page with specified width and height.

## Method Details

### newPage

IPage newPage(int width, int height, Color backgroundColor)
Creates a new page with specified width and height.

Parameters:
  `width` - page width.
  `height` - page height.
  `backgroundColor` - background color.
Returns:
  the new page.

### close

void close() throws Exception
Closes this page device.

Throws:
  `Exception`